Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Fix some Ruby 2.7 deprecation warnings. #2653

Merged
merged 3 commits into from Jan 6, 2020

Conversation

connorshea
Copy link
Contributor

@connorshea connorshea commented Dec 21, 2019

Fixes part of #2650. This fixes all the deprecations that I had when running graphql-ruby with my Rails app, and removes almost 1000 deprecation warnings from my test suite. Looking at the travis logs for ruby-head there are some deprecation warnings my changes don't seem to fix. A lot of the deprecations from ruby-head in travis are external libraries that can be fixed by just updating them, e.g. rake, rails, and rubocop.

@connorshea
Copy link
Contributor Author

@connorshea connorshea commented Dec 21, 2019

I fixed a few more and that reduced the output for the graphql-ruby CI job by ~200 lines. The remaining ones are pretty weird, so I'm tapping out :P

@rmosolgo Hopefully this is helpful! And no rush, please enjoy your Christmas :)

@rmosolgo
Copy link
Owner

@rmosolgo rmosolgo commented Jan 6, 2020

Thanks for knocking out so many of these!

@rmosolgo rmosolgo added this to the 1.9.18 milestone Jan 6, 2020
@rmosolgo rmosolgo merged commit cfb9442 into rmosolgo:master Jan 6, 2020
1 check passed
@connorshea connorshea deleted the fix-ruby-27-deprecations branch Jan 6, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

2 participants